Subject: Re: [Ltru] Uniqueness of variant subtags

From: "Doug Ewell" <[email-masked]>
Date: Thu, 2 Oct 2008 07:25:08 -0600

Leif Halvard Silli <lhs at malform dot no> wrote:

> I think Mark actally expressed that registering "2003" as a subtag 
> with the meaning "language reform linked to year 2003" would satisfy 
> the uniqueness requirement.
>
> Further down in this letter, you say that you disagree with him (and 
> those of us who agree - at least I and Martin) in this.

My main objections are (1) to having two subtags of the same type with 
the same value, and (2) to using year numbers simply to make subtags 
unique, or to satisfy the length criterion, not because people would 
actually identify the variation with the year.

Mark seems to have addressed the first objection, although I'm still 
somewhat concerned that "Resian orthography invented in 1994" and 
"French Canadian spelling reform of 1994" don't really meet the 
criterion of "have the same meaning" in the sense that Unified Turkic 
does, with its 10 prefixes.

> And what about e.g. "1996", would we be fiddling with what it was 
> registereded as if we said that it from now on means "Language reforms 
> of the following languages linked to year 1996: German, X, Y, Z"?

I don't think that would change the meaning of "de-1996".  I do think it 
would be a bit like 'northern', in the sense that there may well be a 
Northern Foovian and a Northern Quuxian, but they have nothing in common 
except the name "Northern."

This is open to interpretation, and it is certainly not a showstopper 
for me the way two variants with the same value would have been.  But it 
does seem like a subversion of what we tried to accomplish in RFC 4646, 
Section 3.5, fifth paragraph after Figure 5. (*)

> Regarding what's likely, that's a matter of what one are used to.  The 
> more there is a pattern, the more one will get used to.

That's exactly what worries me.  The more we open the box of giving a 
variant two different meanings, the harder it will be to keep that box 
shut.

>> German was a notable special case: it had a well-known, widely 
>> publicized, and much-debated orthographic revision for which we ended 
>> up creating the tag "de-1996" (with complement "de-1901" for the old 
>> orthography) back in the RFC 3066 whole-tag days...
>
> This socalled "well-known"-ness: All that is matter of how familiar 
> you are with the particular language. I do not understand the 
> likelyhood question. Language reforms is a common thing.

I don't mean "well-known" to me or the members of the ietf-languages 
list.  I mean "well-known" to speakers of the language and the ultimate 
users of the subtag.  If German speakers generally understand what is 
meant by "1996 German" as opposed to "1901 German," then the year 
modifiers are appropriate.  Do users of Hanyu Pinyin generally 
understand the relevance of "1958" in identifying that romanization?

> Here you bring up some relevant "hairs in the soup": Even if we 
> establish that years are to mean "language reform", there will still 
> be some subtags which do not fit nicely into the system, and also some 
> subtags which aren't contstructed that way (as years) even though they 
> (perhaps) could have been.

Well, sure.  We already have subtags like that, '1606nict' and 
'1694acad', which are intended to represent snapshots in time, rather 
than reforms that took place in those years.  They essentially mean 
"French as used around 1606" and "French as used around 1694."  It would 
be equally appropriate to use "fr-1606nict" for French written a few 
years before 1606 or a few years after.  This would not be true of 
"de-1996", since the reform didn't exist until 1996.  So the model is 
already not perfect, not that we would expect it to be.

> Regarding "tons":  The fact of the matter is that coming up with - and 
> agreeing to - language subtag *names* is an extra burdon for any 
> registerer. It is an extra fence to protect against registration of 
> variation subtags. (The region subtags are not decided by us, you 
> know, but by the UN ... etc.)
>
> While OTOH, using year for language reforms, is very inviting.  It 
> could encourage registration. Should that be avoided?

This is like saying, "Should we encourage stimulation of the economy?" 
Well, of course we should, but HOW we go about doing it is critically 
important.

If the year is only present in the subtag value to make it unique or to 
satisfy the length criterion, if it is not actually *identified* with 
the language variation in people's minds, then it is not the best 
choice.

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

(*) Discordians would appreciate all those 5's.

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Peter Constable <[email-masked]>
Date: Thu, 2 Oct 2008 22:53:27 -0700

You lot are generating a lot of mail on a last call topic. I hope that we are moving toward stability of the draft, not trying to rush in new features at the last minute.

Martin wrote:

> I hope we can restrict this to the a very short time.
> Everybody, please comment quickly...

I agree with those who say we should not allow two records having the same subtag and the same type.

I agree with the sentiment that a subtag should have a consistent semantic. Years are relatively easy cases as the concept of 'point in time at which some significant change in conventions occurred' is pretty straightforward. (Someone mentioned the possibility of two changes happening for a given language in a given year -- that just means that, in that case, more than four-digit subtag is needed.) Beyond that, there'd be a need to be wary of the kind of fuzziness Randy fears. A case like "northern" is a clear example of a problematic case: there is a trivial sense in which "northern" would always have a consistent semantic, but that would be a vague trap that would snare us unless there were some way to make exactly clear what specific semantic is meant for each collocation.

This reminds me of issues in lexicography, in which a word form may correspond to distinct lexemes (distinct meanings), or in which a single lexeme can have multiple senses: in either case, a hierarchical organization of information is typically used to show how information is related. So, instead of

> Type: variant
> Subtag: 1901
> Description: German orthography of 1901
> Description: Uzbek transliteration of 1901
> Prefix: de
> Prefix: uz
> Comments: Good luck figuring this out.

something along the lines of

Type: variant
Subtag: 1901
Sense:
   Description: German orthography of 1901
   Prefix: de
   Reference: ...
Sense:
   Description: Uzbek transliteration of 1901
   Prefix: uz
   Reference: ...

Some said that the first record above seems reasonably clear; I concede that -- in this case; but in the general case I think there are real risks of introducing ambiguity and lack of clarity into records.

But the kind of approach in the second record above would require a lot more change than I think should be introduced at this stage. I think it very important to limit ourselves to a useful change that we can get quick closure on. To that end, I suggest

- that we have a requirement on one record per subtag-type,
- that at this point we not block records like the first one above
- that there be a general requirement on a consistent semantic for all uses of a subtag
- that there be some general cautions about risks of confusion if the intent for each particular collocation is unclear

And beyond that, that for now we leave it to the IETF-Language list and LSTR to do the right thing -- so that we in LTRU can do the right thing for us at this point, which is to close on this discussion and on the WGLC.

Peter

---

From: "Mark Davis" <[email-masked]>
Date: Fri, 3 Oct 2008 07:59:24 +0200

I think we might be in rough agreement. Can you suggest changes in the
wording in http://docs.google.com/Doc?id=dfqr8rd5_216dbfzfkf5?
Mark

On Fri, Oct 3, 2008 at 7:53 AM, Peter Constable <[email-masked]>wrote:

> You lot are generating a lot of mail on a last call topic. I hope that we
> are moving toward stability of the draft, not trying to rush in new features
> at the last minute.
>
> Martin wrote:
>
> I agree with the sentiment that a subtag should have a consistent semantic.
> Years are relatively easy cases as the concept of 'point in time at which
> some significant change in conventions occurred' is pretty straightforward.
> (Someone mentioned the possibility of two changes happening for a given
> language in a given year -- that just means that, in that case, more than
> four-digit subtag is needed.) Beyond that, there'd be a need to be wary of
> the kind of fuzziness Randy fears. A case like "northern" is a clear example
> of a problematic case: there is a trivial sense in which "northern" would
> always have a consistent semantic, but that would be a vague trap that would
> snare us unless there were some way to make exactly clear what specific
> semantic is meant for each collocation.
>
> This reminds me of issues in lexicography, in which a word form may
> correspond to distinct lexemes (distinct meanings), or in which a single
> lexeme can have multiple senses: in either case, a hierarchical organization
> of information is typically used to show how information is related. So,
> instead of
>
> > Type: variant
> > Subtag: 1901
> Some said that the first record above seems reasonably clear; I concede
> that -- in this case; but in the general case I think there are real risks
> of introducing ambiguity and lack of clarity into records.
>
> But the kind of approach in the second record above would require a lot
> more change than I think should be introduced at this stage. I think it very
> important to limit ourselves to a useful change that we can get quick
> closure on. To that end, I suggest
>
> - that there be some general cautions about risks of confusion if the
> intent for each particular collocation is unclear
>
> And beyond that, that for now we leave it to the IETF-Language list and
> LSTR to do the right thing -- so that we in LTRU can do the right thing for
> us at this point, which is to close on this discussion and on the WGLC.
>
>
>
>
> Peter